#include <bits/stdc++.h>
using namespace std;
using ll = long long;

int main()
{
    ll n;
    cin >> n;
    int max1 = n * 2 - 3, max2 = n * 2 - 2, uk = 0;
    deque<ll> r1;
    deque<ll> r2;
    r1.push_back(1);
    r2.push_back(2);
    r1.push_front(n*2-1);
    r2.push_front(n*2);
    uk += (abs(r1.back() -  r1.front()) + abs(r2.back() - r2.front()));
    while (r1.size() + r2.size() < n*2)
    {
        int raz11 = abs(r1.back() - max1), raz12 = abs(r1.front() - max1), raz21 = abs(r2.back() - max2), raz22 = abs(r2.front() - max2), raz121 = abs(r1.back() - max2), raz122 = abs(r1.front() - max2), raz211 = abs(r2.back() - max1), raz212 = abs(r2.front() - max1);
        if (max1 > 2)
        {
            if (raz11 > raz12 && raz11 > raz121 && raz11 > raz122)
            {
                r1.push_back(max1);
                max1 -= 2;
                uk += raz11;
            }
            else if (raz12 > raz11 && raz12 > raz121 && raz12 > raz122)
            {
                r1.push_front(max1);
                max1 -= 2;
                uk += raz12;
            }
            if (raz212 > raz21 && raz212 > raz211 && raz212 > raz22)
            {
                r2.push_front(max1);
                max1 -= 2;
                uk += raz22;
            }
            else
            {
                r2.push_back(max1);
                max1 -= 2;
                uk += raz22;
            }
        }
        if (max2 > 2)
        {
            if (raz121 > raz11 && raz121 > raz12 && raz121 > raz122)
            {
                r1.push_back(max2);
                max2 -= 2;
                uk += raz121;
            }
            else
            {
                r1.push_front(max2);
                max2 -= 2;
                uk += raz121;
            }
            if (raz21 > raz22 && raz21 > raz211 && raz21 > raz212)
            {
                r2.push_back(max2);
                max2 -= 2;
                uk += raz21;
            }
            else if (raz22 > raz21 && raz22 > raz211 && raz22 > raz212)
            {
                r2.push_front(max2);
                max2 -= 2;
                uk += raz22;
            }
        }

    }
    if (r1.size() != r2.size())
    {
        r1.push_front(r2.back());
        r2.pop_back();
    }
    while(!r1.empty())
    {
        cout << r1.back() << " ";
        r1.pop_back();
    }
    cout << '\n';
    while(!r2.empty())
    {
        cout << r2.back() << " ";
        r2.pop_back();
    }
    //cout << '\n';
    //cout << uk;
    return 0;
}